"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var marked_1 = __importDefault(require("marked"));
var large_1 = require("../large");
var addon_a11y_1 = require("@storybook/addon-a11y");
var addon_knobs_1 = require("@storybook/addon-knobs");
exports.default = {
    title: 'Design System|Buttons/Large Button',
    component: large_1.LargeButton,
    parameters: {
        info: {
            inline: true,
            header: false,
            text: marked_1.default(require('../button.stories.md').default)
        }
    },
    decorators: [addon_a11y_1.checkA11y]
};
exports.Primary = function () { return (react_1.default.createElement(large_1.LargeButton, { variant: 'primary' }, "Hello")); };
exports.Primary.story = {
    decorators: [addon_knobs_1.withKnobs]
};
exports.Secondary = function () { return (react_1.default.createElement(large_1.LargeButton, { variant: 'secondary' }, "Goodbye")); };
exports.Outline = function () { return (react_1.default.createElement(large_1.LargeButton, { variant: 'outline' }, "Goodbye")); };
exports.Text = function () { return react_1.default.createElement(large_1.LargeButton, { variant: 'text' }, "Click me"); };
exports.WithKnobs = function () { return (react_1.default.createElement(large_1.LargeButton, { variant: addon_knobs_1.select('Variant', ['primary', 'secondary', 'outline'], 'primary') }, "Change me")); };
exports.WithKnobs.story = {
    decorators: [addon_knobs_1.withKnobs]
};
